Package org.jfree.report.modules.factories.report.flow

# Class AbstractElementReadHandler

java.lang.Object
org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler
org.jfree.report.modules.factories.report.flow.AbstractElementReadHandler

All Implemented Interfaces:
  `NodeReadHandler`, `org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler`

Direct Known Subclasses:
  `AutoTableCellContentReadHandler`, `AutoTableElementReadHandler`, `ContentElementReadHandler`, `SectionReadHandler`

public abstract class AbstractElementReadHandler extends org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler implements NodeReadHandler
Creation-Date: 09.04.2006, 13:55:36

Author:
  Thomas Morgner

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractElementReadHandler()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`configureElement(Element e)`
`protected abstract Element`
`getElement()`
`protected org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler`
`getHandlerForChild(String uri, String tagName, Attributes atts)`
Returns the handler for a child element.
`final Node`
`getNode()`
`Object`
`getObject()`
Returns the object for this element or null, if this element does not create an object.
`String`
`getStyle()`
`void`
`init(org.pentaho.reporting.libraries.xmlns.parser.RootXmlReadHandler rootHandler, String uri, String tagName)`
Initialises the handler.
`boolean`
`isEnabled()`
`protected void`
`startParsing(Attributes attrs)`
Starts parsing.

### Methods inherited from class org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler

`characters, deriveParseParameters, doneParsing, endElement, getLocator, getRootHandler, getTagName, getUri, isSameNamespace, performExternalParsing, performExternalParsing, startElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler

`characters, endElement, startElement`

## Constructor Details

### AbstractElementReadHandler

protected AbstractElementReadHandler()

## Method Details

### isEnabled

public boolean isEnabled()

### getStyle

public String getStyle()

### init

public void init(org.pentaho.reporting.libraries.xmlns.parser.RootXmlReadHandler rootHandler, String uri, String tagName)
Initialises the handler.

Specified by:
  `init` in interface `org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler`
Overrides:
  `init` in class `org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler`
Parameters:
  `rootHandler` - the root handler.
  `tagName` - the tag name.

### startParsing

protected void startParsing(Attributes attrs) throws SAXException
Starts parsing.

Overrides:
  `startParsing` in class `org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler`
Parameters:
  `attrs` - the attributes.
Throws:
  `SAXException` - if there is a parsing error.

### getHandlerForChild

protected org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler getHandlerForChild(String uri, String tagName, Attributes atts) throws SAXException
Returns the handler for a child element.

Overrides:
  `getHandlerForChild` in class `org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler`
Parameters:
  `tagName` - the tag name.
  `atts` - the attributes.
Returns:
  the handler or null, if the tagname is invalid.
Throws:
  `SAXException` - if there is a parsing error.

### configureElement

protected void configureElement(Element e)

### getElement

protected abstract Element getElement()

### getNode

public final Node getNode()

Specified by:
  `getNode` in interface `NodeReadHandler`

### getObject

public Object getObject() throws SAXException
Returns the object for this element or null, if this element does not create an object.

Specified by:
  `getObject` in interface `org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler`
Returns:
  the object.
Throws:
  `SAXException`